org.apache.solr.client.solrj.io.stream.expr

## Class Explanation

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.expr.Explanation

Direct Known Subclasses:
  StreamExplanation

    public class Explanation
    extends Object

Explanation containing details about a expression

### Nested Class Summary

Nested Classes
`static interface` `Explanation.ExpressionType`

### Constructor Summary

Constructors
Constructor and Description
`Explanation(String expressionNodeId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addHelper(Explanation helper)`
`String` `getExpression()`
`String` `getExpressionNodeId()`
`String` `getExpressionType()`
`String` `getFunctionName()`
`List<Explanation>` `getHelpers()`
`String` `getImplementingClass()`
`String` `getNote()`
`void` `setExpression(String expression)`
`void` `setExpressionType(String expressionType)`
`void` `setFunctionName(String functionName)`
`void` `setHelpers(List<Explanation> helpers)`
`void` `setImplementingClass(String implementingClass)`
`void` `setNote(String note)`
`Map<String,Object>` `toMap()`
`Explanation` `withExpression(String expression)`
`Explanation` `withExpressionType(String expressionType)`
`Explanation` `withFunctionName(String functionName)`
`Explanation` `withHelper(Explanation helper)`
`Explanation` `withHelpers(Explanation[] helpers)`
`Explanation` `withHelpers(List<Explanation> helpers)`
`Explanation` `withImplementingClass(String implementingClass)`
`Explanation` `withNote(String note)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Explanation

    public Explanation(String expressionNodeId)

### Method Detail

#### getExpressionNodeId

    public String getExpressionNodeId()

#### getExpressionType

    public String getExpressionType()

#### setExpressionType

    public void setExpressionType(String expressionType)

#### withExpressionType

    public Explanation withExpressionType(String expressionType)

#### getFunctionName

    public String getFunctionName()

#### setFunctionName

    public void setFunctionName(String functionName)

#### withFunctionName

    public Explanation withFunctionName(String functionName)

#### getImplementingClass

    public String getImplementingClass()

#### setImplementingClass

    public void setImplementingClass(String implementingClass)

#### withImplementingClass

    public Explanation withImplementingClass(String implementingClass)

#### getExpression

    public String getExpression()

#### setExpression

    public void setExpression(String expression)

#### withExpression

    public Explanation withExpression(String expression)

#### getNote

    public String getNote()

#### setNote

    public void setNote(String note)

#### withNote

    public Explanation withNote(String note)

#### getHelpers

    public List<Explanation> getHelpers()

#### setHelpers

    public void setHelpers(List<Explanation> helpers)

#### withHelpers

    public Explanation withHelpers(List<Explanation> helpers)

#### withHelpers

    public Explanation withHelpers(Explanation[] helpers)

#### withHelper

    public Explanation withHelper(Explanation helper)

#### addHelper

    public void addHelper(Explanation helper)

#### toMap

    public Map<String,Object> toMap()